Show / Hide Table of Contents

# AsyncUnit Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct AsyncUnit : IEquatable<AsyncUnit>

##### Implements

System.IEquatable<AsyncUnit>

### Members

#### Fields

Name | Description
--- | ---
Default |

#### Methods

Name | Description
--- | ---
Equals(AsyncUnit) |
GetHashCode() |
ToString() |

### Fields

#### Default

    public static readonly AsyncUnit Default

##### Field Value

AsyncUnit

### Methods

#### Equals(AsyncUnit)

    public bool Equals(AsyncUnit other)

##### Parameters

`other` AsyncUnit

##### Returns

System.Boolean

#### GetHashCode()

    public override int GetHashCode()

##### Returns

System.Int32

##### Overrides

System.ValueType.GetHashCode()

#### ToString()

    public override string ToString()

##### Returns

System.String

##### Overrides

System.ValueType.ToString()

### Implements

System.IEquatable<T>